<style>
table.toppage {
  table-layout: fixed;
}
table.toppage th {
  text-align: center;
  vertical-align: middle;
}
table.toppage td {
  text-align: center;
  vertical-align: middle;
  border: 2px dotted #e1e1e1;
}
table.toppage td.border_inner {
  border-right-width: 2px;
  border-right-style: dotted;
  border-right-color: #e1e1e1;
}
</style>
{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <h1 style="margin-top: 0.5%; margin-bottom: 0%; font-size: 150%;"> <a href="/localdb/" style="color:rgba(0, 0, 0, 0.648);;">Top Page</a> > Pull module Serial Numbers from ITkPD </h1>
    </div>
  </div>
</div>

<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">

      <h1><font color=#000080><i class="fa fa-download"></i> Pull components from ITkPD</font></h1>
      
      <p>Description: With this interface, you can download components from ItkPD to LocalDB.</p>
      <ul>
	<li>Supported component types are limited to: MODULE, PCB, BARE_MODULE, FE_CHIP.</li>
	<li>You can filter serial numbers by specifying its name (partial match)</li>
	<li>Sub-components are recursively pulled.
	<li>The number of (mother) components per query is limited to 5 for performance reason.</li>
      </ul>

    </div>
  </div>
</div>

<br>

{% if stage == "complete" %}
  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">

        <br>
        <h4>Downloading process is running as background process.<br />You can check the donwloaded modules in the page below.</h4>
        <a href="{{ url_for('toppage_api.show_comps')}}"><h5 style="font-size: 12pt;"> Components summary page </h5></a>

      </div>
    </div>
  </div>

{% else %}
  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">

        <form class="form-holizontal" role="form" method="post" action="{{ url_for('user_api.download_component') }}" accept-charset="UTF-8">
          <br><br>
          <div class="form-group row">
            <label class="col-form-label col-md-3">Module Serial Number (Partial Match)</label>
            <div class="col-md-9">
              <input type="text" class="form-control" value="{{ component_id }}" placeholder="20UPG..." name="component_id">
            </div>
          </div>
          <div class="form-group row">
            <label class="col-form-label col-md-3">ITkPD Access code 1<font color=#ff0000>*</font></label>
            <div class="col-md-9">
              <input type="password" class="form-control" value="{{ code1 }}" placeholder="Access code 1" name="code1" required="required">
            </div>
          </div>
          <div class="form-group row">
            <label class="col-form-label col-md-3">ITkPD Access code 2<font color=#ff0000>*</font></label>
            <div class="col-md-9">
              <input type="password" class="form-control" value="{{ code2 }}" placeholder="Access code 2" name="code2" required="required">
            </div>
	  </div>
          {% if not text == '' %}
          <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ text }}</font></div></p>
          {% endif %}

          <div class="from-group row">
            <label class="col-form-label col-md-3"></label>
            <div class="col-md-9">
    	        <button type="submit" class="btn btn-primary" name="stage" value="complete">Download component info</button>
            </div>
          </div>

        </form>

      </div>
    </div>
  </div>
{% endif %}


<br>
<div class="container">
  <div class="row align-items-center justify-content-center">
    <div class="col">
      <a href="/localdb/">Back to Top Page</a>
    </div>
  </div>
</div>
{% endblock %}
